EnTT: entt::null_t Struct Reference

EnTT 3.15.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
entt::null_t Struct Reference

Null object for all identifiers. More...

`#include <entity.hpp>`

## Public Member Functions
template<typename Entity>
constexpr | operator Entity () const noexcept
| Converts the null object to identifiers of any type.
constexpr bool | operator== (const null_t other) const noexcept
| Compares two null objects.
constexpr bool | operator!= (const null_t other) const noexcept
| Compares two null objects.
template<typename Entity>
constexpr bool | operator== (const Entity entity) const noexcept
| Compares a null object and an identifier of any type.
template<typename Entity>
constexpr bool | operator!= (const Entity entity) const noexcept
| Compares a null object and an identifier of any type.

## Detailed Description

Null object for all identifiers.

Definition at line 204 of file entity.hpp.

## Member Function Documentation

## ◆ operator Entity()

template<typename Entity>

entt::null_t::operator Entity | ( |  | ) | const
| inlinenodiscardconstexprnoexcept

Converts the null object to identifiers of any type.

Template Parameters

  Entity | Type of identifier.

Returns
  The null representation for the given type.

Definition at line 211 of file entity.hpp.

## ◆ operator!=() [1/2]

template<typename Entity>

bool entt::null_t::operator!= | ( | const Entity | entity | ) | const
| inlinenodiscardconstexprnoexcept

Compares a null object and an identifier of any type.

Template Parameters

  Entity | Type of identifier.

Parameters

  entity | Identifier with which to compare.

Returns
  True if the two elements differ, false otherwise.

Definition at line 254 of file entity.hpp.

## ◆ operator!=() [2/2]

bool entt::null_t::operator!= | ( | const null_t | other | ) | const
| inlinenodiscardconstexprnoexcept

Compares two null objects.

Parameters

  other | A null object.

Returns
  False in all cases.

Definition at line 231 of file entity.hpp.

## ◆ operator==() [1/2]

template<typename Entity>

bool entt::null_t::operator== | ( | const Entity | entity | ) | const
| inlinenodiscardconstexprnoexcept

Compares a null object and an identifier of any type.

Template Parameters

  Entity | Type of identifier.

Parameters

  entity | Identifier with which to compare.

Returns
  False if the two elements differ, true otherwise.

Definition at line 242 of file entity.hpp.

## ◆ operator==() [2/2]

bool entt::null_t::operator== | ( | const null_t | other | ) | const
| inlinenodiscardconstexprnoexcept

Compares two null objects.

Parameters

  other | A null object.

Returns
  True in all cases.

Definition at line 222 of file entity.hpp.

The documentation for this struct was generated from the following file:

- src/entt/entity/entity.hpp